net.sourceforge.jnlp.security

## Class ConnectionFactory

- java.lang.Object
- - net.sourceforge.jnlp.security.ConnectionFactory

-     public class ConnectionFactory
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disconnect(java.net.URLConnection conn)`
    `static ConnectionFactory` | `getConnectionFactory()`
    `java.net.URLConnection` | `openConnection(java.net.URL url)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionFactory

          public ConnectionFactory()

  - ### Method Detail

    - #### getConnectionFactory

          public static ConnectionFactory getConnectionFactory()

    - #### openConnection

          public java.net.URLConnection openConnection(java.net.URL url)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### disconnect

          public void disconnect(java.net.URLConnection conn)

Submit a bug or feature